summaryrefslogtreecommitdiffstats
path: root/system/cluster-glue
diff options
context:
space:
mode:
author Pierre-Philipp Braun <pbraun@nethence.com>2018-06-22 22:33:11 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-23 08:44:01 +0700
commit0f9b333efac6be4f710fa83bfc2a74e4b34a7a5a (patch)
tree6f5db14842a5c2ec2e71abc0a823a284e66b1318 /system/cluster-glue
parent5070b615a79b5575527d3d2c08d880c1bae2b465 (diff)
downloadslackbuilds-0f9b333efac6be4f710fa83bfc2a74e4b34a7a5a.tar.gz
slackbuilds-0f9b333efac6be4f710fa83bfc2a74e4b34a7a5a.tar.xz
system/cluster-glue: Added (Reusable Cluster Components).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/cluster-glue')
-rw-r--r--system/cluster-glue/README11
-rw-r--r--system/cluster-glue/cluster-glue.SlackBuild120
-rw-r--r--system/cluster-glue/cluster-glue.info10
-rw-r--r--system/cluster-glue/slack-desc19
4 files changed, 160 insertions, 0 deletions
diff --git a/system/cluster-glue/README b/system/cluster-glue/README
new file mode 100644
index 0000000000..b9e1a6c915
--- /dev/null
+++ b/system/cluster-glue/README
@@ -0,0 +1,11 @@
+cluster-glue (Reusable Cluster Components)
+
+Additional cluster tools to play with e.g. some STONITH scripts.
+
+You might also want to install corosync, pacemaker, resource-agents, crmsh,
+fence-agents and eventually cluster-glue.
+
+You must have a haclient group and hacluster user to run this script.
+
+ groupadd -g 226 haclient
+ useradd -u 226 -g 226 -c "Pacemaker" -d / -s /bin/false hacluster
diff --git a/system/cluster-glue/cluster-glue.SlackBuild b/system/cluster-glue/cluster-glue.SlackBuild
new file mode 100644
index 0000000000..0b36765a43
--- /dev/null
+++ b/system/cluster-glue/cluster-glue.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for cluster-glue
+
+# Copyright 2018 Pierre-Philipp Braun, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cluster-glue
+VERSION=${VERSION:-20180409_43b22d1}
+COMMIT=${COMMIT:-43b22d15db165b27743519da2c431a9f5d8062a6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if ! getent passwd hacluster 2>&1 > /dev/null; then
+ echo " You must have a haclient group and hacluster user to run this script."
+ echo " groupadd -g 226 haclient"
+ echo " useradd -u 226 -g 226 -c \"Pacemaker\" -d / -s /bin/false hacluster"
+ exit 1
+fi
+
+if ! getent group haclient 2>&1 > /dev/null; then
+ echo " You must have a haclient group to run this script."
+ echo " groupadd -g 226 haclient"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-dependency-tracking \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING.LIB ChangeLog NEWS README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cluster-glue/cluster-glue.info b/system/cluster-glue/cluster-glue.info
new file mode 100644
index 0000000000..5116c9026c
--- /dev/null
+++ b/system/cluster-glue/cluster-glue.info
@@ -0,0 +1,10 @@
+PRGNAM="cluster-glue"
+VERSION="20180409_43b22d1"
+HOMEPAGE="http://www.linux-ha.org/wiki/Cluster_Glue"
+DOWNLOAD="https://github.com/ClusterLabs/cluster-glue/archive/43b22d1/cluster-glue-43b22d15db165b27743519da2c431a9f5d8062a6.tar.gz"
+MD5SUM="d27f0580e690ed5425ad8e5135073c3e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Pierre-Philipp Braun"
+EMAIL="pbraun@nethence.com"
diff --git a/system/cluster-glue/slack-desc b/system/cluster-glue/slack-desc
new file mode 100644
index 0000000000..62e9d250e8
--- /dev/null
+++ b/system/cluster-glue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cluster-glue: cluster-glue (Reusable Cluster Components)
+cluster-glue:
+cluster-glue: Additional cluster tools to play with e.g. some STONITH scripts.
+cluster-glue:
+cluster-glue: You might also want to install corosync, pacemaker, resource-agents,
+cluster-glue: crmsh, fence-agents and eventually cluster-glue.
+cluster-glue:
+cluster-glue:
+cluster-glue:
+cluster-glue:
+cluster-glue: